Package org.apache.commons.imaging

## Class PixelDensity

- java.lang.Object
- - org.apache.commons.imaging.PixelDensity

-     public final class PixelDensity
      extends Object

  Used to specify pixel density and physical dimensions when reading or storing image information.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PixelDensity` | `createFromPixelsPerCentimetre​(double x, double y)` |
    `static PixelDensity` | `createFromPixelsPerInch​(double x, double y)` |
    `static PixelDensity` | `createFromPixelsPerMetre​(double x, double y)` |
    `static PixelDensity` | `createUnitless​(double x, double y)` |
    `double` | `getRawHorizontalDensity()` |
    `double` | `getRawVerticalDensity()` |
    `double` | `horizontalDensityCentimetres()` |
    `double` | `horizontalDensityInches()` |
    `double` | `horizontalDensityMetres()` |
    `boolean` | `isInCentimetres()` |
    `boolean` | `isInInches()` |
    `boolean` | `isInMetres()` |
    `boolean` | `isUnitless()` |
    `double` | `verticalDensityCentimetres()` |
    `double` | `verticalDensityInches()` |
    `double` | `verticalDensityMetres()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createUnitless

          public static PixelDensity createUnitless​(double x,
                                                    double y)

    - #### createFromPixelsPerInch

          public static PixelDensity createFromPixelsPerInch​(double x,
                                                             double y)

    - #### createFromPixelsPerMetre

          public static PixelDensity createFromPixelsPerMetre​(double x,
                                                              double y)

    - #### createFromPixelsPerCentimetre

          public static PixelDensity createFromPixelsPerCentimetre​(double x,
                                                                   double y)

    - #### isUnitless

          public boolean isUnitless()

    - #### isInInches

          public boolean isInInches()

    - #### isInCentimetres

          public boolean isInCentimetres()

    - #### isInMetres

          public boolean isInMetres()

    - #### getRawHorizontalDensity

          public double getRawHorizontalDensity()

    - #### getRawVerticalDensity

          public double getRawVerticalDensity()

    - #### horizontalDensityInches

          public double horizontalDensityInches()

    - #### verticalDensityInches

          public double verticalDensityInches()

    - #### horizontalDensityMetres

          public double horizontalDensityMetres()

    - #### verticalDensityMetres

          public double verticalDensityMetres()

    - #### horizontalDensityCentimetres

          public double horizontalDensityCentimetres()

    - #### verticalDensityCentimetres

          public double verticalDensityCentimetres()